using Demo.domain.Models;

namespace Demo.Data.Repository
{
    public interface IPresenceRepository
    {
        List<PresenceLocalEntity> GetPresences();
        List<PresenceLocalEntity> GetPresencesByGroup();
        List<PresenceLocalEntity> GetPresencesByGroupAndDate();
        List<PresenceLocalEntity> GeneratePresence(List<PresenceLocalEntity> presenceLocalEntities);
        void UpdateAttedance(int firstLesson, int lastLesson, DateOnly date, Guid UserGuid);
    }
}