using Demo.domain.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Demo.Data.Repository
{
    public interface IUserRepository
    {
        List<UserLocalEntity> GetAllUser();
        bool RemoveUserByGuid(Guid userGuid);
        UserLocalEntity? UpdateUser(UserLocalEntity userUpdateLocalEntity);
        UserLocalEntity? GetUserByGuid(Guid userGuid);
    }
}