using Demo.domain.Models;

namespace Demo.Domain.UseCase
{
    public interface IPresenceUseCase
    {
        List<Presence> GetPresencesByGroup(int groupId);
        List<Presence> GetPresencesByGroupAndDate(int groupId, DateOnly date);
        bool UpdateAttedance(int firstLesson, int lastLesson, DateOnly date, Guid UserGuid);
        bool GeneratePresence(int firstLesson, int lastLesson, int groupId, DateOnly date);
        bool GenerateWeekPresence(int firstLesson, int lastLesson, int groupId, DateOnly date);
    }
}