using Demo.domain.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Demo.Domain.UseCase
{
    public interface IUserUseCase
    {
        List<Group> GetAllGroups();
        List<User> GetAllUsers();
        User GetUserByGuid(Guid userGuid);
        bool RemoveUserByGuid(Guid userGuid);
        User UpdateUser(User user);
    }
}